package getWay

type State int16

// iota 初始化后会自动递增
const (
	BusinessError State = 1001
	OK            State = 1000
	Illegal       State = 9000
)

func (t State) String() string {
	switch t {
	case BusinessError:
		return "business error"
	case OK:
		return "OK"
	case Illegal:
		return "非法请求"
	default:
		return "unknown"
	}
}
